using System.Text.Json.Serialization;

namespace Insight.Web.Models;

public record SessionStorage
{
    [JsonPropertyName("drawer")]
    public bool Drawer { get; init; } = true;

    [JsonPropertyName("mainmenu")]
    public MainMenu MainMenu { get; init; } = new();
}

public record MainMenu
{
    [JsonPropertyName("management")]
    public bool Management { get; init; }
}